-- 神秘限购tips
Lua_MysteriousBuyTipsWindow = class("Lua_MysteriousBuyTipsWindow", Lua_Window);
function Lua_MysteriousBuyTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_MysteriousBuyTipsWindow";
	self.skinName = "MysteriousBuyTipsWindow_skin";
	self.showClose = false;
end

function Lua_MysteriousBuyTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.subBtn:addClickFuntion(self, self.onSubClick);
	self.cancelBtn:addClickFuntion(self, self.onCancelClick);
	self.closeBtn:addClickFuntion(self, self.onSubClick);
end

function Lua_MysteriousBuyTipsWindow:onSubClick(go)
    self:exeSub();
    self:hide();
end

function Lua_MysteriousBuyTipsWindow:exeSub()
	DataCenter.neverTip:setNeverValue(Lua_NeverTipData.MYSTERIOUS, self.tipBox.seleted);
	if Lua_WindowUtil.isWindowShowing("Lua_MysteriousBuyWindow") then
		Lua_WindowUtil.openWin("Lua_MysteriousBuyWindow", WinParam.ACTION_CLOSE);
	end
end

function Lua_MysteriousBuyTipsWindow:onCancelClick(go)
	self:exeCancel();
	self:hide();
end

function Lua_MysteriousBuyTipsWindow:exeCancel()
	DataCenter.neverTip:setNeverValue(Lua_NeverTipData.MYSTERIOUS, self.tipBox.seleted);
end

function Lua_MysteriousBuyTipsWindow:hide()
	-- Lua_MsgUtil.callFunc("SHILED_BOSS_UI_AVATAR", false);
	self:superCall("hide");
end

function Lua_MysteriousBuyTipsWindow:dispose()
	self:superCall("dispose");
end